INTERFACE
subroutine hlcldia (&
 & kcall, khor, klev,&
 & kstart, kstop, kstep,&
 & ptotcov, pf, phalf,&
 & pclch, pclcm, pclcl,&
 & pclct, cdlock ) 
use parkind1 ,only : jpim, jprb
integer(kind=jpim),intent(in) :: kcall
integer(kind=jpim),intent(in) :: khor
integer(kind=jpim),intent(in) :: klev
integer(kind=jpim),intent(in) :: kstart
integer(kind=jpim),intent(in) :: kstop
integer(kind=jpim),intent(in) :: kstep
real(kind=jprb), intent(in) :: ptotcov(khor,klev)
real(kind=jprb), intent(in) :: pf(khor,klev)
real(kind=jprb), intent(in) :: phalf(khor,0:klev)
real(kind=jprb), intent(inout) :: pclch(khor)
real(kind=jprb), intent(inout) :: pclcm(khor)
real(kind=jprb), intent(inout) :: pclcl(khor)
real(kind=jprb), intent(inout) :: pclct(khor)
character(len=7) ,intent(in) :: cdlock
end subroutine hlcldia
END INTERFACE
